#!/usr/bin/webif-page
<?
. /usr/lib/webif/webif.sh
###################################################################
# Diagnostics
#
# Description:
#	Provide some diagnostic tools.
#
# Author(s) [in order of work date]:
#	Jeremy Collake <jeremy.collake@gmail.com>
#
# Major revisions:
#
# NVRAM variables referenced:
#  none
#
# Configuration files referenced:
#   none
#
header "Automata" "Idokep automata" "@TR<<Időkép.hu automata>>" '' "$SCRIPT_NAME"
if [ -f /tmp/indoor.dat ]; then
    echo "<h3>Beltéri adatok</h3>";
    echo "<pre>";
    cat /tmp/indoor.dat
    echo "</pre><br>";
    echo "<h3>Kültéri adatok</h3>";
    echo "<pre>";
    cat /tmp/outdoor.dat
    cat /tmp/rain.dat
    cat /tmp/wind.dat
    echo "</pre>";
else
    echo "Kikerdezes folyamatban...<br>"; 
fi;
echo "<br><h3>Adatok feltöltése a pro.idokep.hu oldalra</h3>";
if [ -f /tmp/upload_response ]; then
    cat /tmp/upload_response
elif [ -f /tmp/indoor.dat ]; then
    echo "Meg nem tortent feltoltes! Kerem varjon par percet, vagy ellenorizze a halozati kapcsolatot <a href='http://o/cgi-bin/webif/network-diag.sh'>itt</a>!";
else
  echo "Nincs automata adat";
fi;
echo "<br>";
?>
<!--
##WEBIF:name:Automata:991:Adatok
-->
